SDL_x11framebuffer.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_x11framebuffer.h:

Go to the source code of this file.

## Functions

int | X11_CreateWindowFramebuffer (_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)
int | X11_UpdateWindowFramebuffer (_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)
void | X11_DestroyWindowFramebuffer (_THIS, SDL_Window *window)

## Function Documentation

int X11_CreateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint32 * | format,
|  | void ** | pixels,
|  | int * | pitch
| ) |  |

void X11_DestroyWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int X11_UpdateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const SDL_Rect * | rects,
|  | int | numrects
| ) |  |